# Class CIM_RedundancyComponent
extends CIM_Component

A RedundancyGroup aggregates Managed System Elements and indicates that these elements, taken together, provide redundancy. All elements aggregated in a RedundancyGroup should be instantiations of the same object class. The use of this class is being depreacted in lieu of using MemberOfCollection in conjunction with RedundancySet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_RedundancyComponent

## Direct Known Subclasses

CIM_ExtentRedundancyComponent
CIM_NetworkAdapterRedundancyComponent

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_MemberOfCollection
Description | string | A RedundancyGroup aggregates Managed System Elements and indicates that these elements, taken together, provide redundancy. All elements aggregated in a RedundancyGroup should be instantiations of the same object class. The use of this class is being depreacted in lieu of using MemberOfCollection in conjunction with RedundancySet.
UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.13.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_RedundancyComponent | CIM_RedundancyGroup
PartComponent | CIM_RedundancyComponent | CIM_ManagedSystemElement

## Class Methods